<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>事件-键盘事件-移动</title>
	<style type="text/css">
		#div1{
			position: absolute;
			left:0;

			width:200px;
			height:200px;
			background:red;
		}
	</style>
	<script type="text/javascript">
		document.onkeydown=function(ev){
			var oEvent=ev||event;
			alert(oEvent);
			// var oDiv=document.getElementById('box');
			var oDiv=document.getElementById('div1');
			// 消除键盘的定一下的问题
			if(oEvent.keyCode==37){
				// alert("a");
				oDiv.style.left=oDiv.offsetLeft-10+'px';
			}
			if(oEvent.keyCode==39){
				// alert("a");
				oDiv.style.left=oDiv.offsetLeft+10+'px';
			}


			
		};
	</script>
</head>
<body>
	<div id="box">
		<div id="div1"></div>
	</div>
</body>
</html